JSP v1.1 and Servlet v2.2 API Reference: Class VariableInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class VariableInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.VariableInfo

public class VariableInfo
extends java.lang.Object

Information on the scripting variables that are created/modified by a tag (at run-time); this information is provided by TagExtraInfo classes and it is used by the translation phase of JSP.

Field Summary
`static int` | `AT_BEGIN`
`static int` | `AT_END`
`static int` | `NESTED` Different types of scope for an scripting variable introduced by this action

Constructor Summary
`VariableInfo(java.lang.String varName, java.lang.String className, boolean declare, int scope)` Constructor These objects can be created (at translation time) by the TagExtraInfo instances.

Method Summary
`java.lang.String` | `getClassName()`
`boolean` | `getDeclare()`
`int` | `getScope()`
`java.lang.String` | `getVarName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NESTED

    public static final int NESTED

  Different types of scope for an scripting variable introduced by this action

       NESTED ==> variable is visible only within the start/end tags
       AT_BEGIN ==> variable is visible after start tag
       AT_END ==> variable is visible after end tag

### AT_BEGIN

    public static final int AT_BEGIN

### AT_END

    public static final int AT_END

Constructor Detail

### VariableInfo

    public VariableInfo(java.lang.String varName,
                        java.lang.String className,
                        boolean declare,
                        int scope)

  Constructor These objects can be created (at translation time) by the TagExtraInfo instances.
  Parameters:
    `id` - The name of the scripting variable
    `className` - The name of the scripting variable
    `declare` - If true, it is a new variable (in some languages this will require a declaration)
    `scope` - Indication on the lexical scope of the variable

Method Detail

### getVarName

    public java.lang.String getVarName()

### getClassName

    public java.lang.String getClassName()

### getDeclare

    public boolean getDeclare()

### getScope

    public int getScope()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD